//===========================================================================
// Smarclient FPMS Demo Project a sample project for SmartClient technology.
// Smarclient FPMS Demo is designed and implemented bases Microsoft Application Block tech.
// Author: SFPMS Team, Date 2004-11
// Vision 1.0
// Revison History
//=============================================================================
using System;
using System.Drawing;
using System.Configuration; 
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace JSW.FPMS.Xian.ShiTu
{
	/// <summary>
	/// clsGuanYuForm 的摘要说明。
	/// </summary>
	public class GuanYuForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label LB_GuanYu;
		private System.Windows.Forms.Label LB_BanBen;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.Label LB_BanQuan;
		private System.Windows.Forms.Label LB_ShiJian;
		private System.Windows.Forms.LinkLabel LLB_LianXiFangShi;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Button BT_QueDing;
		private System.Windows.Forms.GroupBox groupBox2;
		private System.Windows.Forms.Label LB_KaiFa;
		/// <summary>
		/// 必需的设计器变量。
		/// </summary>
		private System.ComponentModel.Container components = null;

		public GuanYuForm()
		{
			//
			// Windows 窗体设计器支持所必需的
			//
			InitializeComponent();

			//
			// TODO: 在 InitializeComponent 调用后添加任何构造函数代码
			//
			this.LB_BanBen.Text =this.LB_BanBen.Text+ConfigurationSettings.AppSettings["version"];
			this.LB_ShiJian.Text= this.LB_ShiJian.Text + ConfigurationSettings.AppSettings["fabushijian"];
			this.LB_KaiFa.Text =this.LB_KaiFa.Text + ConfigurationSettings.AppSettings["kaifashang"];
			this.LB_BanQuan.Text =this.LB_BanQuan.Text + ConfigurationSettings.AppSettings["banquan"];
			this.LLB_LianXiFangShi.Text = ConfigurationSettings.AppSettings["lianxifangshi"];
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows 窗体设计器生成的代码
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.LB_GuanYu = new System.Windows.Forms.Label();
			this.LB_BanBen = new System.Windows.Forms.Label();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.LB_BanQuan = new System.Windows.Forms.Label();
			this.LB_ShiJian = new System.Windows.Forms.Label();
			this.BT_QueDing = new System.Windows.Forms.Button();
			this.LLB_LianXiFangShi = new System.Windows.Forms.LinkLabel();
			this.label1 = new System.Windows.Forms.Label();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.LB_KaiFa = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// LB_GuanYu
			// 
			this.LB_GuanYu.Font = new System.Drawing.Font("华文中宋", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.LB_GuanYu.ForeColor = System.Drawing.SystemColors.HotTrack;
			this.LB_GuanYu.Location = new System.Drawing.Point(8, 8);
			this.LB_GuanYu.Name = "LB_GuanYu";
			this.LB_GuanYu.Size = new System.Drawing.Size(432, 24);
			this.LB_GuanYu.TabIndex = 0;
			this.LB_GuanYu.Text = "人口和计划生育管理信息系统 (FPMS) ：县级系统";
			// 
			// LB_BanBen
			// 
			this.LB_BanBen.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.LB_BanBen.Location = new System.Drawing.Point(16, 48);
			this.LB_BanBen.Name = "LB_BanBen";
			this.LB_BanBen.Size = new System.Drawing.Size(176, 23);
			this.LB_BanBen.TabIndex = 1;
			this.LB_BanBen.Text = "系统版本：";
			// 
			// groupBox1
			// 
			this.groupBox1.Location = new System.Drawing.Point(16, 32);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(448, 8);
			this.groupBox1.TabIndex = 2;
			this.groupBox1.TabStop = false;
			// 
			// LB_BanQuan
			// 
			this.LB_BanQuan.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.LB_BanQuan.Location = new System.Drawing.Point(16, 96);
			this.LB_BanQuan.Name = "LB_BanQuan";
			this.LB_BanQuan.Size = new System.Drawing.Size(400, 23);
			this.LB_BanQuan.TabIndex = 2;
			this.LB_BanQuan.Text = "版权所有：";
			// 
			// LB_ShiJian
			// 
			this.LB_ShiJian.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.LB_ShiJian.Location = new System.Drawing.Point(200, 48);
			this.LB_ShiJian.Name = "LB_ShiJian";
			this.LB_ShiJian.Size = new System.Drawing.Size(208, 23);
			this.LB_ShiJian.TabIndex = 3;
			this.LB_ShiJian.Text = "发布时间：";
			// 
			// BT_QueDing
			// 
			this.BT_QueDing.Location = new System.Drawing.Point(368, 144);
			this.BT_QueDing.Name = "BT_QueDing";
			this.BT_QueDing.Size = new System.Drawing.Size(104, 23);
			this.BT_QueDing.TabIndex = 3;
			this.BT_QueDing.Text = "确定";
			this.BT_QueDing.Click += new System.EventHandler(this.BT_QueDing_Click);
			// 
			// LLB_LianXiFangShi
			// 
			this.LLB_LianXiFangShi.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.LLB_LianXiFangShi.Location = new System.Drawing.Point(96, 144);
			this.LLB_LianXiFangShi.Name = "LLB_LianXiFangShi";
			this.LLB_LianXiFangShi.Size = new System.Drawing.Size(264, 23);
			this.LLB_LianXiFangShi.TabIndex = 4;
			this.LLB_LianXiFangShi.TabStop = true;
			this.LLB_LianXiFangShi.Text = "联系方式";
			// 
			// label1
			// 
			this.label1.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label1.Location = new System.Drawing.Point(16, 144);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(72, 23);
			this.label1.TabIndex = 4;
			this.label1.Text = "联系方式：";
			// 
			// groupBox2
			// 
			this.groupBox2.Location = new System.Drawing.Point(16, 120);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(448, 8);
			this.groupBox2.TabIndex = 5;
			this.groupBox2.TabStop = false;
			// 
			// LB_KaiFa
			// 
			this.LB_KaiFa.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.LB_KaiFa.Location = new System.Drawing.Point(16, 72);
			this.LB_KaiFa.Name = "LB_KaiFa";
			this.LB_KaiFa.Size = new System.Drawing.Size(400, 23);
			this.LB_KaiFa.TabIndex = 6;
			this.LB_KaiFa.Text = "程序开发：";
			// 
			// GuanYuForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(488, 197);
			this.Controls.Add(this.LB_KaiFa);
			this.Controls.Add(this.groupBox2);
			this.Controls.Add(this.LLB_LianXiFangShi);
			this.Controls.Add(this.BT_QueDing);
			this.Controls.Add(this.groupBox1);
			this.Controls.Add(this.LB_GuanYu);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.LB_BanQuan);
			this.Controls.Add(this.LB_BanBen);
			this.Controls.Add(this.LB_ShiJian);
			this.MaximizeBox = false;
			this.MaximumSize = new System.Drawing.Size(496, 224);
			this.MinimizeBox = false;
			this.MinimumSize = new System.Drawing.Size(496, 224);
			this.Name = "GuanYuForm";
			this.Text = "产品信息";
			this.ResumeLayout(false);

		}
		#endregion

		private void BT_QueDing_Click(object sender, System.EventArgs e)
		{
			this.Close(); 
		}
	}
}
